> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.resemble.ai/api-reference/recordings/update-recording/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.resemble.ai/_mcp/server. # Update recording PATCH https://app.resemble.ai/api/v2/voices/{voice_uuid}/recordings/{recording_id} Content-Type: application/json Update a recording Reference: https://docs.resemble.ai/api-reference/recordings/update-recording ## Authentication - `Authorization` header (bearer token, required) — API key from https://app.resemble.ai/hub/api ## Request ### Path parameters - `voice_uuid` (string, required) - `recording_id` (string, required) ### Body (application/json) This endpoint expects an object. - `name` (string, optional) - `text` (string, optional) - `emotion` (string, optional) - `is_active` (boolean, optional) ## Response ### 200 Recording updated - `success` (boolean, optional) - `item` (VoicesVoiceUuidRecordingsRecordingIdPatchResponsesContentApplicationJsonSchemaItem, optional) ## Types ### VoicesVoiceUuidRecordingsRecordingIdPatchResponsesContentApplicationJsonSchemaItem ## Examples **Request** ```json {} ``` **Response** ```json { "success": true, "item": {} } ``` **SDK Code** ```python import requests url = "https://app.resemble.ai/api/v2/voices/voice_uuid/recordings/recording_id" payload = {} headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.patch(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://app.resemble.ai/api/v2/voices/voice_uuid/recordings/recording_id'; const options = { method: 'PATCH', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://app.resemble.ai/api/v2/voices/voice_uuid/recordings/recording_id" payload := strings.NewReader("{}") req, _ := http.NewRequest("PATCH", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://app.resemble.ai/api/v2/voices/voice_uuid/recordings/recording_id") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Patch.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.patch("https://app.resemble.ai/api/v2/voices/voice_uuid/recordings/recording_id") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php request('PATCH', 'https://app.resemble.ai/api/v2/voices/voice_uuid/recordings/recording_id', [ 'body' => '{}', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://app.resemble.ai/api/v2/voices/voice_uuid/recordings/recording_id"); var request = new RestRequest(Method.PATCH); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://app.resemble.ai/api/v2/voices/voice_uuid/recordings/recording_id")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "PATCH" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```